Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
stat Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Data Fields
dev_t | st_dev
ino_t | st_ino
mode_t | st_mode
nlink_t | st_nlink
uid_t | st_uid
gid_t | st_gid
dev_t | st_rdev
off_t | st_size
timestruc_t | st_atim
timestruc_t | st_mtim
timestruc_t | st_ctim
blksize_t | st_blksize
blkcnt_t | st_blocks
timestruc_t | st_birthtim

## Detailed Description

Definition at line 2384 of file rb_mjit_min_header-2.7.0.h.

## Field Documentation

## ◆ st_atim

timestruc_t stat::st_atim

Definition at line 2394 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_birthtim

timestruc_t stat::st_birthtim

Definition at line 2399 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_blksize

blksize_t stat::st_blksize

Definition at line 2397 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_blocks

blkcnt_t stat::st_blocks

Definition at line 2398 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_ctim

timestruc_t stat::st_ctim

Definition at line 2396 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_dev

dev_t stat::st_dev

Definition at line 2386 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_gid

gid_t stat::st_gid

Definition at line 2391 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_ino

ino_t stat::st_ino

Definition at line 2387 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_mode

mode_t stat::st_mode

Definition at line 2388 of file rb_mjit_min_header-2.7.0.h.

Referenced by rb_w32_access(), and rb_w32_uaccess().

## ◆ st_mtim

timestruc_t stat::st_mtim

Definition at line 2395 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_nlink

nlink_t stat::st_nlink

Definition at line 2389 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_rdev

dev_t stat::st_rdev

Definition at line 2392 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_size

off_t stat::st_size

Definition at line 2393 of file rb_mjit_min_header-2.7.0.h.

## ◆ st_uid

uid_t stat::st_uid

Definition at line 2390 of file rb_mjit_min_header-2.7.0.h.

The documentation for this struct was generated from the following file:

- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h